## com.google.javascript.jscomp
Class Compiler.CodeBuilder

    java.lang.Object
      com.google.javascript.jscomp.Compiler.CodeBuilder

Enclosing class:
  Compiler

    public static class Compiler.CodeBuilder

extends Object

Stores a buffer of text to which more can be appended. This is just like a StringBuilder except that we also track the number of lines.

Constructor Summary
`Compiler.CodeBuilder()`

Method Summary
`int` | `getLength()` Returns the length of the text buffer.
`String` | `toString()` Returns all text in the text buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Compiler.CodeBuilder

    public Compiler.CodeBuilder()

Method Detail

### toString

    public String toString()

  Returns all text in the text buffer.

  Overrides:
    `toString` in class `Object`

### getLength

    public int getLength()

  Returns the length of the text buffer.